## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate google-cloud-storage

Name:           rust-google-cloud-storage
Version:        0.22.1
Release:        %autorelease
Summary:        Google Cloud Platform storage client library

License:        MIT
URL:            https://crates.io/crates/google-cloud-storage
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
Patch:          google-cloud-storage-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Google Cloud Platform storage client library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+auth-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+auth-devel %{_description}

This package contains library source intended for building other packages which
use the "auth" feature of the "%{crate}" crate.

%files       -n %{name}+auth-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+default-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "default-tls" feature of the "%{crate}" crate.

%files       -n %{name}+default-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+external-account-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+external-account-devel %{_description}

This package contains library source intended for building other packages which
use the "external-account" feature of the "%{crate}" crate.

%files       -n %{name}+external-account-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+google-cloud-auth-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+google-cloud-auth-devel %{_description}

This package contains library source intended for building other packages which
use the "google-cloud-auth" feature of the "%{crate}" crate.

%files       -n %{name}+google-cloud-auth-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+google-cloud-metadata-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+google-cloud-metadata-devel %{_description}

This package contains library source intended for building other packages which
use the "google-cloud-metadata" feature of the "%{crate}" crate.

%files       -n %{name}+google-cloud-metadata-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hickory-dns-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hickory-dns-devel %{_description}

This package contains library source intended for building other packages which
use the "hickory-dns" feature of the "%{crate}" crate.

%files       -n %{name}+hickory-dns-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-tls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trace-devel %{_description}

This package contains library source intended for building other packages which
use the "trace" feature of the "%{crate}" crate.

%files       -n %{name}+trace-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# these tests require setting up tokens + net access etc.
# %%cargo_test -- --lib
%cargo_test -- --doc
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 01 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.22.1-1
- feat: update to latest release, review related updates:
- use rust2rpm -p
- update dep version pinning to have upper bound
- remove unneeded extra license source

* Thu Sep 19 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.22.0-1
- feat: update to latest version

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-13
- fix: install license

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-12
- fix: update tests

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-11
- fix: remove unneeded bin tests

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-10
- feat: try enabling all tests

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-9
- fix: add license file

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-8
- fix: versions, tests

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-7
- fix: update sed command to loosen deps

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-6
- fix: correct sedcommand again

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-5
- fix: correct sed command

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-4
- fix: loosen deps

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-3
- fix: loosen deps

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-2
- fix: skip failing tests

* Fri Aug 23 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.20.0-1
- init
## END: Generated by rpmautospec
